Package org.eclipse.jdt.debug.core

# Interface IJavaStratumLineBreakpoint

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.debug.core.model.IBreakpoint`, `IJavaBreakpoint`, `IJavaLineBreakpoint`, `org.eclipse.debug.core.model.ILineBreakpoint`, `org.eclipse.debug.core.model.ITriggerPoint`

public interface IJavaStratumLineBreakpoint extends IJavaLineBreakpoint
A line breakpoint identified by its source file name and/or path, and stratum that it is relative to.

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.debug.core.model.IBreakpoint

`BREAKPOINT_MARKER, ENABLED, ID, LINE_BREAKPOINT_MARKER, PERSISTED, REGISTERED`

### Fields inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint

`RESUME_ON_HIT, SUSPEND_THREAD, SUSPEND_VM`

### Fields inherited from interface org.eclipse.debug.core.model.ITriggerPoint

`TRIGGERPOINT`

## Method Summary

Modifier and Type
Method
Description
`String`
`getPattern()`
Returns the type name pattern this breakpoint uses to identify types in which to install itself.
`String`
`getSourceName()`
Returns the simple name of the source file in which this breakpoint is set, or `null`.
`String`
`getSourcePath()`
Returns the qualified source file path in which this breakpoint is set, or `null`.
`String`
`getStratum()`
Returns the stratum that this breakpoint's source name, source path, and line number are relative to, or `null` if this breakpoint is relative to a type's default stratum.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.debug.core.model.IBreakpoint

`delete, getMarker, getModelIdentifier, isEnabled, isPersisted, isRegistered, setEnabled, setMarker, setPersisted, setRegistered`

### Methods inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint

`addBreakpointListener, addInstanceFilter, getBreakpointListeners, getHitCount, getInstanceFilters, getSuspendPolicy, getThreadFilter, getThreadFilters, getTypeName, isDisableOnHit, isInstalled, removeBreakpointListener, removeInstanceFilter, removeThreadFilter, setDisableOnHit, setHitCount, setSuspendPolicy, setThreadFilter, supportsInstanceFilters, supportsThreadFilters`

### Methods inherited from interface org.eclipse.jdt.debug.core.IJavaLineBreakpoint

`getCondition, isConditionEnabled, isConditionSuspendOnTrue, setCondition, setConditionEnabled, setConditionSuspendOnTrue, supportsCondition`

### Methods inherited from interface org.eclipse.debug.core.model.ILineBreakpoint

`getCharEnd, getCharStart, getLineNumber`

### Methods inherited from interface org.eclipse.debug.core.model.ITriggerPoint

`isTriggerPoint, setTriggerPoint`

## Method Details

### getPattern

String getPattern() throws org.eclipse.core.runtime.CoreException
Returns the type name pattern this breakpoint uses to identify types in which to install itself. Patterns may begin or end with '*'. Will not return `null`. In the case that a stratum breakpoint was created with a `null` pattern, "*" is returned.

Multiple patterns can be specified in this breakpoint by delimiting the patterns with a comma - e.g. "x.y.z,a.b.c".

Returns:
  the type name patterns this breakpoint uses to identify types in which to install itself.
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to access the property from this breakpoint's underlying marker

### getSourceName

String getSourceName() throws org.eclipse.core.runtime.CoreException
Returns the simple name of the source file in which this breakpoint is set, or `null`. When this breakpoint specifies a source file name, this breakpoint is only installed in types whose source file name debug attribute matches this value, relative to this breakpoint's stratum.

Returns:
  the source file name in which this breakpoint is set, or `null`
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to access the property from this breakpoint's underlying marker

### getStratum

String getStratum() throws org.eclipse.core.runtime.CoreException
Returns the stratum that this breakpoint's source name, source path, and line number are relative to, or `null` if this breakpoint is relative to a type's default stratum.

Returns:
  the stratum that this breakpoint's source name, source path, and line number are relative to, or `null`
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to access the property from this breakpoint's underlying marker

### getSourcePath

String getSourcePath() throws org.eclipse.core.runtime.CoreException
Returns the qualified source file path in which this breakpoint is set, or `null`. When specified, this breakpoint is only installed in types whose source file path debug attribute matches this value, relative to this breakpoint's stratum.

Returns:
  the qualified source file path in which this breakpoint is set, or `null`
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to get the source path